Skip to main content
POST
/
events
/
{event_id}
/
clone
Clone Event
curl --request POST \
  --url https://api.swoogo.com/api/v1/events/{event_id}/clone \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data close_date= \
  --data close_time= \
  --data display_url= \
  --data end_date= \
  --data end_time= \
  --data folder_id= \
  --data name= \
  --data start_date= \
  --data start_time= \
  --data timezone=

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

event_id
integer
required

integer - required - The ID of the event you want to clone

Example:

1

Body

application/x-www-form-urlencoded
close_date
string
Example:

""

close_time
string
Example:

""

display_url
string
Example:

""

end_date
string
Example:

""

end_time
string
Example:

""

folder_id
string
Example:

""

name
string
Example:

""

start_date
string
Example:

""

start_time
string
Example:

""

timezone
string
Example:

""

Response

200 - undefined